Проблема с установкой расширения uddeIm.

Тема в разделе "Установка и обновление расширений Joomla", создана пользователем Alexby, 18.02.2012.

  1. Offline

    Alexby Недавно здесь

    Регистрация:
    18.02.2012
    Сообщения:
    1
    Симпатии:
    0
    Пол:
    Мужской
    Добрый день.
    Пытался установить uddeIm. Нашёл в интернете версию 2.5. В процессе установки вылезла какая-то ошибка. Как я понял, расширение не установилось, так как из админ панели оно не доступно, но папки на диске создались (работаю на локальном сервере). И вот появилась проблема... Удалить расширение не знаю как (админ панель его не видит), пытался просто удалить папки с диска и установить какие-либо другие версии, но не получается, при установке появляются ошибки:

    Fatal error: Cannot make static method JToolBarHelper::addNew() non static in class mosMenuBar in I:\home\notebook1_1.ru\www\administrator\components\com_uddeim\admin.uddeimlib15.php on line 27

    или вот такая:

    Fatal error: Call to undefined method JLanguage::getBackwardLang() in I:\home\notebook1_1.ru\www\components\com_uddeim\uddeimlib15.php on line 80

    Подскажите, пожалуйста, что делать...Очень нужно установить это расширение...
    Joomla 1.7.3
     
  2.  
  3. lazart
    Offline

    lazart Недавно здесь

    Регистрация:
    10.03.2012
    Сообщения:
    12
    Симпатии:
    0
    Пол:
    Мужской
    Аналогично
    Fatal error: Cannot make static method JToolBarHelper::addNew() non static in class mosMenuBar in .../administrator/components/com_uddeim/admin.uddeimlib15.php on line 27
    - (uddeIm не перенесла обновления Джумлы с 1.7.3 на 2.5.3, была деинсталлирована) - при попытке поставить uddeIm_2.5 сегодня получил и я . Лекарства пока не нашел - пересчитал все модули и плагины, их пришлось вручную "опубликовать", - не подействовало:(
     
  4. Offline

    Cram Пользователь

    Регистрация:
    25.02.2012
    Сообщения:
    36
    Симпатии:
    1
    Пол:
    Женский
    Такая же проблема. Если вдруг найдете решение, прошу отписаться.
     
  5. Offline

    Cram Пользователь

    Регистрация:
    25.02.2012
    Сообщения:
    36
    Симпатии:
    1
    Пол:
    Женский
    Если вопрос актуален, я нашла решение.
     
  6. lazart
    Offline

    lazart Недавно здесь

    Регистрация:
    10.03.2012
    Сообщения:
    12
    Симпатии:
    0
    Пол:
    Мужской
    Не томи, Cram, выкладывай ;)
    У меня вот что пока вышло.
    С сайта разработчика скачал последнюю (2.6) версию, пару раз попробовал ее переустановить, снося всё старое от уддеИМ, что удавалось найти - сам компонент становится, но с матюками (не запомнил, что именно - на красном фоне - типа "такой альяс уже занят")... Модули-плагины-компонент стоят, а меню уддеиного в админке нет! 8-( Пока в очередной раз, кажется, не попробовал поставить лайт-компонент "оунли инглиш" и после его установки (мата поменьше было, сдается мне:) - заметил выделенный цветом линк (типа "опшнз" или "конфигурейшн" ) - кликнул по нем - о чудо! - попал в панель управления уддеим! ( в админкином меню его по-прежнему нет! :cool: линк типа http://мой.сайт/administrator/index.php?option=com_uddeim - скопировал и пользуюсь вместо меню (так как после настройки ЗАРАБОТАЛО! :cool: . Знал бы заранее - вел бы учет действий (какого цвета был бубен и что именно пел:), а так больше ничем помочь не могу...
     
  7. Offline

    Cram Пользователь

    Регистрация:
    25.02.2012
    Сообщения:
    36
    Симпатии:
    1
    Пол:
    Женский
    Что касаемо этой ошибки:
    Fatal error: Cannot make static method JToolBarHelper::addNew() non static in class mosMenuBar in .../administrator/components/com_uddeim/admin.uddeimlib15.php on line 27

    То тут нужно поправить этот файлик, добавив в 3 строки "static". Эта ошибка исчезает, но потом он орет на языки :D Погуглив, я выяснила, что эта ошибка сугубо индивидуальная- несовместимость uddeim 2.5 с джумлой 2.5. Если у вас версия ниже, то, возможно, этой ошибки не будет.

    По поводу существующего меню и алиаса. Заходишь в phpMyAdmin, делаешь поиск по базе данных по запросу "uddeim" и удаляешь все совпадения, предварительно удалив сам компонент из панели управления расширениями. После этого спокойно ставишь uddeim 2.6 и никаких матюков.
     
  8. Offline

    bugmenot специалист

    Регистрация:
    15.03.2009
    Сообщения:
    647
    Симпатии:
    39
    Пол:
    Мужской
    Да и то не всегда. На трёх сайтах ставил uddeim, и ошибки не видел. Возможно потому что последние версии джумлы и компонента, а может быть проблема в несовместимости с чем-то другоим, чего у меня на сайтах не было.
     
  9. Offline

    Cram Пользователь

    Регистрация:
    25.02.2012
    Сообщения:
    36
    Симпатии:
    1
    Пол:
    Женский
    Может быть. Мне так сказал гугл :)
     

Поделиться этой страницей

Загрузка...